Subject: Re: MPC5200 ethernet communication stops unexpected

From: Eberhard Stoll <[email-masked]>
Date: Mon, 21 May 2007 09:43:58 +0200

Hi,
>   xlb = (struct mpc52xx_xlb *)MPC5xxx_XLB;
>   out_be32(&xlb->config,  in_be32(&xlb->config) | MPC52xx_XLB_CFG_BSDIS);
>   
this modification seems to solve my problem, too (ethernet communication 
stops unexpected / best comm tx task deadlock(?))!
As i described before ping -f triggered the problem in between 20 
minutes everytime. With this patch my configuration to trigger the fault 
run from Friday to Monday (> 60h) without any error!
So it seems for me this solved my problem, too!

Best regards,
Eberhard

______________________________________________________________________
This email has been scanned by the MessageLabs Email Security System.
For more information please visit http://www.messagelabs.com/email 
______________________________________________________________________